Refresh Access Token

Refreshes the Access Token using a valid refresh token to extend session validity.

GET
/api/v2/access_token/refresh

Refreshes the Access Token using a valid refresh token to extend session validity.

Authorization

X-LoginRadius-ApiSecret<token>

In: header

Query Parameters

access_token?string

Access Token of the User

isweb?string

Indicates if the request is from a web client

expiresin?integer

The expiration time of the Access Token in seconds.

Formatint32

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/api/v2/access_token/refresh?access_token=493318dd-487a-439b-8302-5e27f1110244&isweb=true&expiresin=43333"
{
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "expires_in": "3600"
}

{
  "errorCode": 908,
  "message": "A parameter is not formatted correctly",
  "description": "A parameter is not formatted correctly in the request, please check all the parameters in the API call."
}

{
  "errorCode": 902,
  "message": "The API secret is unauthorized",
  "description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "errorCode": 905,
  "message": "Access token is invalid",
  "description": "The LoginRadius access token is invalid, please use the correct or valid access token in order to process this request."
}